$! (c) Alexey Chupahin  18-APR-2006, 15-DEC-2007
$! OpenVMS 8.2  Alpha DEC 2000 model 300
$! OpenVMS 8.3  Itanium rx1620 
$! GNU
$!
$!
$!DEF SYS$ERROR _NL0:
$ SET NOON
$WRITE SYS$OUTPUT " "
$WRITE SYS$OUTPUT "Configuring OpenJPEG library for OpenVMS"
$WRITE SYS$OUTPUT "(c) Alexey Chupahin "
$! Checking architecture
$! Checking architecture
$    IF F$GETSYI("ARCH_TYPE").EQ.1 THEN CPU = "VAX"
$    IF F$GETSYI("ARCH_TYPE").EQ.2 THEN CPU = "Alpha"
$    IF F$GETSYI("ARCH_TYPE").EQ.3 THEN CPU = "I64"
$    OS = F$GETSYI("VERSION")
$WRITE SYS$OUTPUT "Checking architecture   ...  ", CPU
$WRITE SYS$OUTPUT "Checking OS             ...  OpenVMS ",OS
$SHARED=0
$IF ( (CPU.EQS."Alpha").OR.(CPU.EQS."I64") )
$  THEN
$       SHARED=64
$  ELSE
$       SHARED=32
$ENDIF
$DECC = F$SEARCH("SYS$SYSTEM:DECC$COMPILER.EXE") .NES. ""
$IF (DECC) THEN WRITE SYS$OUTPUT  "Compiler                ...  DEC C"
$IF (.NOT. DECC) THEN WRITE SYS$OUTPUT  "BAD compiler" EXIT
$MMS = F$SEARCH("SYS$SYSTEM:MMS.EXE") .NES. ""
$MMK = F$TYPE(MMK)
$IF (MMS .OR. MMK.NES."") THEN GOTO TEST_LIBRARIES
$! I cant find any make tool
$EXIT
$!
$!
$TEST_LIBRARIES:
$!   Setting as MAKE utility one of MMS or MMK. I prefer MMS.
$IF (MMK.NES."") THEN MAKE="MMK/IGN=WAR"               
$IF (MMS) THEN MAKE="MMS/IGN=WAR"                      
$WRITE SYS$OUTPUT "Checking build utility  ...  ''MAKE'"
$WRITE SYS$OUTPUT " "                                  
$!              
$IF (P1.EQS."STATIC") .OR. (P1.EQS."static")           
$ THEN                                                 
$       WRITE SYS$OUTPUT "Configuring for static only" 
$       SHARED=0                                       
$ENDIF                                                 
$!
$!
$!
$! Checking TIFF
$ DEFINE SYS$OUTPUT _NLA0:
$ DEFINE SYS$ERROR _NLA0:
$ CC/OBJECT=TEST_CHAPG.OBJ/INCLUDE=(TIFF) SYS$INPUT
      #include <stdlib.h>
      #include <stdio.h>
      #include <tiffio.h>
   int main()
     {
        printf("checking libTIFF version:\t%s\n\n", TIFFGetVersion());
        return 0;
     }
$!
$TMP = $STATUS
$DEAS  SYS$OUTPUT
$IF (TMP .NE. %X10B90001)
$  THEN
$       HAVE_TIFF=0
$ENDIF
$DEFINE SYS$OUTPUT _NLA0:
$LINK TEST_CHAPG, TIFF:LIBTIFF/OPT, ZLIB:LIBZ/LIB
$TMP = $STATUS
$DEAS  SYS$OUTPUT
$!WRITE SYS$OUTPUT TMP                                 
$IF (TMP .NE. %X10000001)
$  THEN                                                
$       HAVE_TIFF=0
$  ELSE                                                
$       HAVE_TIFF=1
$ENDIF                                                 
$IF (HAVE_TIFF.EQ.1)
$  THEN                                                
$       WRITE SYS$OUTPUT "Checking for TIFF library ...   Yes"
$       TIFF_LIBRARY_PATH="TIFF:LIBTIFF/OPT"           
$       RUN TEST_CHAPG
$  ELSE                                                
$       WRITE SYS$OUTPUT "Checking for TIFF library ...   No"
$ENDIF                                                 
$DEFINE SYS$OUTPUT _NLA0:
$DEL TEST_CHAPG.*;*
$DEAS SYS$OUTPUT
$DEAS SYS$ERROR
$!                                                     
$!
$ IF ( (HAVE_TIFF.EQ.0) )                              
$    THEN
$	WRITE SYS$OUTPUT "***************************************************"
$       WRITE SYS$OUTPUT "No TIFF library installed." 
$	WRITE SYS$OUTPUT "This is NOT fatal. libTIFF is needed for a example"
$	WRITE SYS$OUTPUT "tool ""convert"" only." 
$	WRITE SYS$OUTPUT "But you may download and install good library from "
$	WRITE SYS$OUTPUT "http://fafner.dyndns.org/~alexey/libsdl/public.html"
$	WRITE SYS$OUTPUT "***************************************************"
$ ENDIF                                                
$!
$!
$IF (F$SEARCH("[.LIBOPENJPEG]OPENJPEG.H;2").EQS."")
$ THEN
$	WRITE SYS$OUTPUT "Patching OPENJPEG.H"
$	DEF SYS$OUTPUT "_NLA0:"
$	COPY SYS$INPUT [.LIBOPENJPEG]OPENJPEG.H;2
	#define opj_set_default_decoder_parameters opj_set_default_decoder_param
	#define opj_set_default_encoder_parameters opj_set_default_encoder_param
$	APP [.LIBOPENJPEG]OPENJPEG.H;1 [.LIBOPENJPEG]OPENJPEG.H;2
$	DEAS SYS$OUTPUT
$ENDIF
$!
$IF (F$SEARCH("[.CODEC]DIRENT.H;2").EQS."")
$ THEN
$	WRITE SYS$OUTPUT "Patching DIRENT.H"
$	COPY SYS$INPUT [.CODEC]DIRENT.H;2 
	#include <dirent.h>
$ENDIF
$!
$!                                                     
$!WRITING BUILD FILES
$!           
$IF (SHARED.EQ.64)
$ THEN
$       COPY SYS$INPUT [.LIBOPENJPEG]OPENJPEG$DEF.OPT
!case_sensitive=YES
symbol_vector = (BIO_INALIGN    = PROCEDURE)
symbol_vector = (BIO_FLUSH      = PROCEDURE)
symbol_vector = (BIO_READ       = PROCEDURE)
symbol_vector = (BIO_WRITE      = PROCEDURE)
symbol_vector = (BIO_INIT_DEC   = PROCEDURE)
symbol_vector = (BIO_INIT_ENC   = PROCEDURE)
symbol_vector = (BIO_NUMBYTES   = PROCEDURE)
symbol_vector = (BIO_DESTROY    = PROCEDURE)
symbol_vector = (BIO_CREATE     = PROCEDURE)
symbol_vector = (CIO_SKIP       = PROCEDURE)
symbol_vector = (CIO_BYTEIN     = PROCEDURE)
symbol_vector = (CIO_READ       = PROCEDURE)
symbol_vector = (CIO_BYTEOUT    = PROCEDURE)
symbol_vector = (CIO_WRITE      = PROCEDURE)
symbol_vector = (CIO_GETBP      = PROCEDURE)
symbol_vector = (CIO_NUMBYTESLEFT       = PROCEDURE)
symbol_vector = (CIO_SEEK       = PROCEDURE)
symbol_vector = (CIO_TELL       = PROCEDURE)
symbol_vector = (OPJ_CIO_CLOSE  = PROCEDURE)
symbol_vector = (OPJ_CIO_OPEN   = PROCEDURE)
symbol_vector = (DWT_DECODE_REAL        = PROCEDURE)
symbol_vector = (DWT_CALC_EXPLICIT_STEPSIZES    = PROCEDURE)
symbol_vector = (DWT_GETNORM_REAL       = PROCEDURE)
symbol_vector = (DWT_GETGAIN_REAL       = PROCEDURE)
symbol_vector = (DWT_ENCODE_REAL        = PROCEDURE)
symbol_vector = (DWT_GETNORM    = PROCEDURE)
symbol_vector = (DWT_GETGAIN    = PROCEDURE)
symbol_vector = (DWT_DECODE     = PROCEDURE)
symbol_vector = (DWT_ENCODE     = PROCEDURE)
symbol_vector = (OPJ_EVENT_MSG  = PROCEDURE)
symbol_vector = (OPJ_SET_EVENT_MGR      = PROCEDURE)
symbol_vector = (OPJ_IMAGE_DESTROY      = PROCEDURE)
symbol_vector = (OPJ_IMAGE_CREATE       = PROCEDURE)
symbol_vector = (OPJ_IMAGE_CREATE0      = PROCEDURE)
symbol_vector = (J2K_CONVERT_PROGRESSION_ORDER  = PROCEDURE)
symbol_vector = (J2K_CALCULATE_TP       = PROCEDURE)
symbol_vector = (J2K_ENCODE     = PROCEDURE)
symbol_vector = (J2K_SETUP_ENCODER      = PROCEDURE)
symbol_vector = (J2K_DESTROY_COMPRESS   = PROCEDURE)
symbol_vector = (J2K_CREATE_COMPRESS    = PROCEDURE)
symbol_vector = (J2K_DECODE_JPT_STREAM  = PROCEDURE)
symbol_vector = (J2K_DECODE     = PROCEDURE)
symbol_vector = (J2K_SETUP_DECODER      = PROCEDURE)
symbol_vector = (J2K_DESTROY_DECOMPRESS = PROCEDURE)
symbol_vector = (J2K_CREATE_DECOMPRESS  = PROCEDURE)
symbol_vector = (J2K_DUMP_CP    = PROCEDURE)
symbol_vector = (J2K_DUMP_IMAGE = PROCEDURE)
symbol_vector = (OPJ_CLOCK      = PROCEDURE)
symbol_vector = (JP2_WRITE_JP2H = PROCEDURE)
symbol_vector = (JP2_ENCODE     = PROCEDURE)
symbol_vector = (JP2_SETUP_ENCODER      = PROCEDURE)
symbol_vector = (JP2_DESTROY_COMPRESS   = PROCEDURE)
symbol_vector = (JP2_CREATE_COMPRESS    = PROCEDURE)
symbol_vector = (JP2_READ_JP2H  = PROCEDURE)
symbol_vector = (JP2_DECODE     = PROCEDURE)
symbol_vector = (JP2_SETUP_DECODER      = PROCEDURE)
symbol_vector = (JP2_DESTROY_DECOMPRESS = PROCEDURE)
symbol_vector = (JP2_CREATE_DECOMPRESS  = PROCEDURE)
symbol_vector = (JPT_READ_VBAS_INFO     = PROCEDURE)
symbol_vector = (JPT_REINIT_MSG_HEADER  = PROCEDURE)
symbol_vector = (JPT_READ_MSG_HEADER    = PROCEDURE)
symbol_vector = (JPT_INIT_MSG_HEADER    = PROCEDURE)
symbol_vector = (MCT_GETNORM_REAL       = PROCEDURE)
symbol_vector = (MCT_DECODE_REAL        = PROCEDURE)
symbol_vector = (MCT_ENCODE_REAL        = PROCEDURE)
symbol_vector = (MCT_GETNORM    = PROCEDURE)
symbol_vector = (MCT_DECODE     = PROCEDURE)
symbol_vector = (MCT_ENCODE     = PROCEDURE)
symbol_vector = (MQC_SETSTATE   = PROCEDURE)
symbol_vector = (MQC_RESETSTATES        = PROCEDURE)
symbol_vector = (MQC_DECODE     = PROCEDURE)
symbol_vector = (MQC_INIT_DEC   = PROCEDURE)
symbol_vector = (MQC_ENCODE     = PROCEDURE)
symbol_vector = (MQC_SEGMARK_ENC        = PROCEDURE)
symbol_vector = (MQC_ERTERM_ENC = PROCEDURE)
symbol_vector = (MQC_RESTART_INIT_ENC   = PROCEDURE)
symbol_vector = (MQC_RESTART_ENC        = PROCEDURE)
symbol_vector = (MQC_RESET_ENC  = PROCEDURE)
symbol_vector = (MQC_BYPASS_FLUSH_ENC   = PROCEDURE)
symbol_vector = (MQC_BYPASS_ENC = PROCEDURE)
symbol_vector = (MQC_BYPASS_INIT_ENC    = PROCEDURE)
symbol_vector = (MQC_FLUSH      = PROCEDURE)
symbol_vector = (MQC_INIT_ENC   = PROCEDURE)
symbol_vector = (MQC_NUMBYTES   = PROCEDURE)
symbol_vector = (MQC_DESTROY    = PROCEDURE)
symbol_vector = (MQC_CREATE     = PROCEDURE)
symbol_vector = (OPJ_DESTROY_CSTR_INFO  = PROCEDURE)
symbol_vector = (OPJ_ENCODE_WITH_INFO   = PROCEDURE)
symbol_vector = (OPJ_ENCODE     = PROCEDURE)
symbol_vector = (OPJ_SETUP_ENCODER      = PROCEDURE)
symbol_vector = (OPJ_SET_DEFAULT_ENCODER_PARAM  = PROCEDURE)
symbol_vector = (OPJ_DESTROY_COMPRESS   = PROCEDURE)
symbol_vector = (OPJ_CREATE_COMPRESS    = PROCEDURE)
symbol_vector = (OPJ_DECODE_WITH_INFO   = PROCEDURE)
symbol_vector = (OPJ_DECODE     = PROCEDURE)
symbol_vector = (OPJ_SETUP_DECODER      = PROCEDURE)
symbol_vector = (OPJ_SET_DEFAULT_DECODER_PARAM  = PROCEDURE)
symbol_vector = (OPJ_DESTROY_DECOMPRESS = PROCEDURE)
symbol_vector = (OPJ_CREATE_DECOMPRESS  = PROCEDURE)
symbol_vector = (OPJ_VERSION    = PROCEDURE)
symbol_vector = (PI_CREATE_ENCODE       = PROCEDURE)
symbol_vector = (PI_NEXT        = PROCEDURE)
symbol_vector = (PI_DESTROY     = PROCEDURE)
symbol_vector = (PI_INITIALISE_ENCODE   = PROCEDURE)
symbol_vector = (PI_CREATE_DECODE       = PROCEDURE)
symbol_vector = (RAW_DECODE     = PROCEDURE)
symbol_vector = (RAW_INIT_DEC   = PROCEDURE)
symbol_vector = (RAW_NUMBYTES   = PROCEDURE)
symbol_vector = (RAW_DESTROY    = PROCEDURE)
symbol_vector = (RAW_CREATE     = PROCEDURE)
symbol_vector = (T1_DECODE_CBLKS        = PROCEDURE)
symbol_vector = (T1_ENCODE_CBLKS        = PROCEDURE)
symbol_vector = (T1_DESTROY     = PROCEDURE)
symbol_vector = (T1_CREATE      = PROCEDURE)
symbol_vector = (T2_DESTROY     = PROCEDURE)
symbol_vector = (T2_CREATE      = PROCEDURE)
symbol_vector = (T2_DECODE_PACKETS      = PROCEDURE)
symbol_vector = (T2_ENCODE_PACKETS      = PROCEDURE)
symbol_vector = (TCD_FREE_DECODE_TILE   = PROCEDURE)
symbol_vector = (TCD_FREE_DECODE        = PROCEDURE)
symbol_vector = (TCD_DECODE_TILE        = PROCEDURE)
symbol_vector = (TCD_MAKELAYER_FIXED    = PROCEDURE)
symbol_vector = (TCD_RATEALLOCATE_FIXED = PROCEDURE)
symbol_vector = (TCD_MAKELAYER  = PROCEDURE)
symbol_vector = (TCD_RATEALLOCATE       = PROCEDURE)
symbol_vector = (TCD_ENCODE_TILE        = PROCEDURE)
symbol_vector = (TCD_MALLOC_DECODE_TILE = PROCEDURE)
symbol_vector = (TCD_MALLOC_DECODE      = PROCEDURE)
symbol_vector = (TCD_INIT_ENCODE        = PROCEDURE)
symbol_vector = (TCD_FREE_ENCODE        = PROCEDURE)
symbol_vector = (TCD_MALLOC_ENCODE      = PROCEDURE)
symbol_vector = (TCD_DESTROY    = PROCEDURE)
symbol_vector = (TCD_CREATE     = PROCEDURE)
symbol_vector = (TCD_DUMP       = PROCEDURE)
symbol_vector = (TGT_DECODE     = PROCEDURE)
symbol_vector = (TGT_ENCODE     = PROCEDURE)
symbol_vector = (TGT_SETVALUE   = PROCEDURE)
symbol_vector = (TGT_RESET      = PROCEDURE)
symbol_vector = (TGT_DESTROY    = PROCEDURE)
symbol_vector = (TGT_CREATE     = PROCEDURE)
symbol_vector = (J2K_DEC_MSTAB  = DATA)
symbol_vector = (J2K_PROG_ORDER_LIST    = DATA)
!
! ### PSECT list extracted from OPENJPEG.MAP;1
!
symbol_vector = (J2K_DEC_MSTAB = PSECT)
symbol_vector = (J2K_PROG_ORDER_LIST = PSECT)
$ ELSE
$	COPY SYS$INPUT [.LIBOPENJPEG]OPENJPEG$DEF.OPT
UNIVERSAL=BIO_INALIGN
UNIVERSAL=BIO_FLUSH
UNIVERSAL=BIO_READ
UNIVERSAL=BIO_WRITE
UNIVERSAL=BIO_INIT_DEC
UNIVERSAL=BIO_INIT_ENC
UNIVERSAL=BIO_NUMBYTES
UNIVERSAL=BIO_DESTROY
UNIVERSAL=BIO_CREATE
UNIVERSAL=CIO_SKIP
UNIVERSAL=CIO_BYTEIN
UNIVERSAL=CIO_READ
UNIVERSAL=CIO_BYTEOUT
UNIVERSAL=CIO_WRITE
UNIVERSAL=CIO_GETBP
UNIVERSAL=CIO_NUMBYTESLEFT
UNIVERSAL=CIO_SEEK
UNIVERSAL=CIO_TELL
UNIVERSAL=OPJ_CIO_CLOSE
UNIVERSAL=OPJ_CIO_OPEN
UNIVERSAL=DWT_DECODE_REAL
UNIVERSAL=DWT_CALC_EXPLICIT_STEPSIZES
UNIVERSAL=DWT_GETNORM_REAL
UNIVERSAL=DWT_GETGAIN_REAL
UNIVERSAL=DWT_ENCODE_REAL
UNIVERSAL=DWT_GETNORM
UNIVERSAL=DWT_GETGAIN
UNIVERSAL=DWT_DECODE
UNIVERSAL=DWT_ENCODE
UNIVERSAL=OPJ_EVENT_MSG
UNIVERSAL=OPJ_SET_EVENT_MGR
UNIVERSAL=OPJ_IMAGE_DESTROY
UNIVERSAL=OPJ_IMAGE_CREATE
UNIVERSAL=OPJ_IMAGE_CREATE0
UNIVERSAL=J2K_CONVERT_PROGRESSION_ORDER
UNIVERSAL=J2K_CALCULATE_TP
UNIVERSAL=J2K_ENCODE
UNIVERSAL=J2K_SETUP_ENCODER
UNIVERSAL=J2K_DESTROY_COMPRESS
UNIVERSAL=J2K_CREATE_COMPRESS
UNIVERSAL=J2K_DECODE_JPT_STREAM
UNIVERSAL=J2K_DECODE
UNIVERSAL=J2K_SETUP_DECODER
UNIVERSAL=J2K_DESTROY_DECOMPRESS
UNIVERSAL=J2K_CREATE_DECOMPRESS
UNIVERSAL=J2K_DUMP_CP
UNIVERSAL=J2K_DUMP_IMAGE
UNIVERSAL=OPJ_CLOCK
UNIVERSAL=JP2_WRITE_JP2H
UNIVERSAL=JP2_ENCODE
UNIVERSAL=JP2_SETUP_ENCODER
UNIVERSAL=JP2_DESTROY_COMPRESS
UNIVERSAL=JP2_CREATE_COMPRESS
UNIVERSAL=JP2_READ_JP2H
UNIVERSAL=JP2_DECODE
UNIVERSAL=JP2_SETUP_DECODER
UNIVERSAL=JP2_DESTROY_DECOMPRESS
UNIVERSAL=JP2_CREATE_DECOMPRESS
UNIVERSAL=JPT_READ_VBAS_INFO
UNIVERSAL=JPT_REINIT_MSG_HEADER
UNIVERSAL=JPT_READ_MSG_HEADER
UNIVERSAL=JPT_INIT_MSG_HEADER
UNIVERSAL=MCT_GETNORM_REAL
UNIVERSAL=MCT_DECODE_REAL
UNIVERSAL=MCT_ENCODE_REAL
UNIVERSAL=MCT_GETNORM
UNIVERSAL=MCT_DECODE
UNIVERSAL=MCT_ENCODE
UNIVERSAL=MQC_SETSTATE
UNIVERSAL=MQC_RESETSTATES
UNIVERSAL=MQC_DECODE
UNIVERSAL=MQC_INIT_DEC
UNIVERSAL=MQC_ENCODE
UNIVERSAL=MQC_SEGMARK_ENC
UNIVERSAL=MQC_ERTERM_ENC
UNIVERSAL=MQC_RESTART_INIT_ENC
UNIVERSAL=MQC_RESTART_ENC
UNIVERSAL=MQC_RESET_ENC
UNIVERSAL=MQC_BYPASS_FLUSH_ENC
UNIVERSAL=MQC_BYPASS_ENC
UNIVERSAL=MQC_BYPASS_INIT_ENC
UNIVERSAL=MQC_FLUSH
UNIVERSAL=MQC_INIT_ENC
UNIVERSAL=MQC_NUMBYTES
UNIVERSAL=MQC_DESTROY
UNIVERSAL=MQC_CREATE
UNIVERSAL=OPJ_DESTROY_CSTR_INFO
UNIVERSAL=OPJ_ENCODE_WITH_INFO
UNIVERSAL=OPJ_ENCODE
UNIVERSAL=OPJ_SETUP_ENCODER
UNIVERSAL=OPJ_SET_DEFAULT_ENCODER_PARAM
UNIVERSAL=OPJ_DESTROY_COMPRESS
UNIVERSAL=OPJ_CREATE_COMPRESS
UNIVERSAL=OPJ_DECODE_WITH_INFO
UNIVERSAL=OPJ_DECODE
UNIVERSAL=OPJ_SETUP_DECODER
UNIVERSAL=OPJ_SET_DEFAULT_DECODER_PARAM
UNIVERSAL=OPJ_DESTROY_DECOMPRESS
UNIVERSAL=OPJ_CREATE_DECOMPRESS
UNIVERSAL=OPJ_VERSION
UNIVERSAL=PI_CREATE_ENCODE
UNIVERSAL=PI_NEXT
UNIVERSAL=PI_DESTROY
UNIVERSAL=PI_INITIALISE_ENCODE
UNIVERSAL=PI_CREATE_DECODE
UNIVERSAL=RAW_DECODE
UNIVERSAL=RAW_INIT_DEC
UNIVERSAL=RAW_NUMBYTES
UNIVERSAL=RAW_DESTROY

$ENDIF
$!
$IF (SHARED.EQ.0)
$ THEN
$	COPY SYS$INPUT [.LIBOPENJPEG]OPENJPEG.OPT
	OPENJPEG:OPENJPEG/LIB
$ ELSE
$	COPY SYS$INPUT [.LIBOPENJPEG]OPENJPEG.OPT
	SYS$SHARE:OPENJPEG$SHR/SHARE
$ENDIF
$!
$! BUILD.COM
$!
$OPEN/WRI OUT BUILD.COM
$ WRITE OUT "$SET DEF [.LIBOPENJPEG]"
$ WRITE OUT "$",MAKE
$ WRITE OUT "$CURRENT = F$ENVIRONMENT (""DEFAULT"") " 
$ WRITE OUT "$TMP=CURRENT"                             
$ WRITE OUT "$OPEN/WRITE OUTT [-]OPENJPEG$STARTUP.COM"
$ WRITE OUT "$WRITE OUTT ""DEFINE OPENJPEG ","'","'","TMP'"" "
$ WRITE OUT "$CLOSE OUTT"
$ IF (HAVE_TIFF.NE.0)
$  THEN
$	WRITE OUT "$SET DEF [-.CODEC]"
$	WRITE OUT "$",MAKE,"/IGN=WAR"
$ ENDIF
$ WRITE OUT "$WRITE SYS$OUTPUT "" "" "                 
$ WRITE OUT "$WRITE SYS$OUTPUT ""***************************************************************************** "" "
$ WRITE OUT "$WRITE SYS$OUTPUT ""OPENJPEG$STARTUP.COM has been created. "" "
$ WRITE OUT "$WRITE SYS$OUTPUT ""This file setups all logicals needed. It should be executed before using "" "
$ WRITE OUT "$WRITE SYS$OUTPUT ""Nice place to call it - LOGIN.COM "" "
$ WRITE OUT "$WRITE SYS$OUTPUT """" "                  
$ WRITE OUT "$WRITE SYS$OUTPUT ""Using:"" "            
$ WRITE OUT "$WRITE SYS$OUTPUT ""CC/INCL=OPENJPEG PROG"" "
$ WRITE OUT "$WRITE SYS$OUTPUT ""LINK PROG, OPENJPEG:OPENJPEG/OPT"" "
$ WRITE OUT "$WRITE SYS$OUTPUT ""***************************************************************************** "" "
$ WRITE OUT "$WRITE SYS$OUTPUT ""***************************************************************************** "" "
$ WRITE OUT "$SET DEF [-]"
$CLOSE OUT                                             
$!
$!
$WRITE SYS$OUTPUT "Generating DESCRIP.MMS"
$COP SYS$INPUT [.LIBOPENJPEG]DESCRIP.MMS
# Generated by CONFIGURE.COM
# Alexey Chupahin elvis_75@mail.ru
# OpenVMS 7.3-1, DEC 2000 mod.300
# OpenVMS 8.2,   DEC 2000 mod.300
# OpenVMS 8.3-H1,   HP rx1620

CC=cc
CFLAGS =  /INCLUDE=([],[-],ZLIB)\
          /OPTIMIZE=(INLINE=SPEED)\
          /WARN=(DIS=FOUNDCR)\
          /DEB

OBJ=\
bio.obj,\
cio.obj,\
dwt.obj,\
event.obj,\
image.obj,\
j2k.obj,\
j2k_lib.obj,\
jp2.obj,\
jpt.obj,\
mct.obj,\
mqc.obj,\
openjpeg.obj,\
pi.obj,\
raw.obj,\
t1.obj,\
t2.obj,\
tcd.obj,\
tgt.obj

$IF (SHARED.EQ.0)
$ THEN
$	APP SYS$INPUT [.LIBOPENJPEG]DESCRIP.MMS
ALL :   OPENJPEG.OLB 
        $!

OPENJPEG.OLB : $(OBJ)
        LIB/CREA OPENJPEG $(OBJ)

$ ELSE
$	APP SYS$INPUT [.LIBOPENJPEG]DESCRIP.MMS
ALL :   OPENJPEG.OLB , OPENJPEG$SHR.EXE
        $!

OPENJPEG.OLB : $(OBJ)
        LIB/CREA OPENJPEG $(OBJ)

OPENJPEG$SHR.EXE : OPENJPEG.OLB
        LINK/SHARE=OPENJPEG$SHR J2K.OBJ, OPENJPEG/LIB, OPENJPEG$DEF/OPT
        COPY OPENJPEG$SHR.EXE SYS$SHARE
        PURGE SYS$SHARE:OPENJPEG$SHR.EXE

$ENDIF
$APP SYS$INPUT [.LIBOPENJPEG]DESCRIP.MMS
bio.obj : bio.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

cio.obj : cio.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

dwt.obj : dwt.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

event.obj : event.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

image.obj : image.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

j2k.obj : j2k.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

j2k_lib.obj : j2k_lib.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

jp2.obj : jp2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

jpt.obj : jpt.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

mct.obj : mct.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

mqc.obj : mqc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

openjpeg.obj : openjpeg.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pi.obj : pi.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

raw.obj : raw.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

t1.obj : t1.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

t1_generate_luts.obj : t1_generate_luts.c
         $(CC) $(CFLAGS)/WARN=DIS=(FOUNDCR,PTRMISMATCH) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)


t2.obj : t2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

tcd.obj : tcd.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

tgt.obj : tgt.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

$IF (HAVE_TIFF.EQ.0)
$ THEN
$	COPY SYS$INPUT [.CODEC]DESCRIP.MMS
# (c) Alexey Chupahin 27-FEB-2008
# OpenVMS 7.3-1, DEC 2000 mod.300
# OpenVMS 8.2,   DEC 2000 mod.300
# OpenVMS 8.3-H1,   HP rx1620

.FIRST
        DEF OPENJPEG [-.LIBOPENJPEG]


CC=cc
CFLAGS =  /INCLUDE=(OPENJPEG,TIFF)\
          /WARN=(DIS=FOUNDCR)\
          /OPTIMIZE=(INLINE=SPEED)\

OBJ=\
index.obj, convert.obj, [.compat]getopt.obj


ALL : IMAGE_TO_J2K.EXE, J2K_TO_IMAGE.EXE
	$!

IMAGE_TO_J2K.EXE : $(OBJ), IMAGE_TO_J2K.OBJ
        LINK IMAGE_TO_J2K, $(OBJ), OPENJPEG:OPENJPEG/OPT, TIFF:LIBTIFF/OPT

J2K_TO_IMAGE.EXE : $(OBJ), J2K_TO_IMAGE.OBJ
        LINK J2K_TO_IMAGE, $(OBJ), OPENJPEG:OPENJPEG/OPT, TIFF:LIBTIFF/OPT


index.obj : index.c
        $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

convert.obj : convert.c
        $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

IMAGE_TO_J2K.OBJ : image_to_j2k.c
        $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

J2K_TO_IMAGE.OBJ : j2k_to_image.c
        $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

[.compat]getopt.obj : [.compat]getopt.c
        $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)
$ENDIF

$WRITE SYS$OUTPUT " "
$WRITE SYS$OUTPUT "Now you can type @BUILD "
$!

